Public Class wordtile
    Private player26 As New MediaPlayer()
    Private Sub UserControl_Loaded(sender As Object, e As RoutedEventArgs)
        Try
            My.Settings.Reload()
        Catch

            My.Settings.mecolor = "#19A2DE"

            Dim bluecolor As Color = CType(ColorConverter.ConvertFromString(My.Settings.mecolor), Color)
            wrdt.Background = New System.Windows.Media.SolidColorBrush(bluecolor)
        End Try

        Dim wordtileuaTimer = New System.Windows.Threading.DispatcherTimer()
        AddHandler wordtileuaTimer.Tick, AddressOf wordtileuaTimer_Tick
        wordtileuaTimer.Interval = New TimeSpan(0, 0, 1)
        wordtileuaTimer.Start()
    End Sub

    Private Sub wordtileuaTimer_Tick(sender As Object, e As EventArgs)
        Try
            Dim mytilecolor As Color = CType(ColorConverter.ConvertFromString(My.Settings.mecolor), Color)
            wrdt.Background = New System.Windows.Media.SolidColorBrush(mytilecolor)
        Catch
        End Try
    End Sub

    Private Sub UserControl_MouseLeftButtonUp(sender As Object, e As MouseButtonEventArgs)
        PlayAccentSound()
        Process.Start("https://m365.cloud.microsoft/launch/Word/")
    End Sub

    Private Sub PlayAccentSound()
        Try
            player26.Volume = 1.0
            player26.Open(New Uri("beltonen/wp7_pressed.mp3", UriKind.Relative))
            player26.Play()
        Catch ex As Exception
            MessageBox.Show("Error playing sound: " & ex.Message)
        End Try
    End Sub


End Class
